.slider-section {
  @media (max-width: 1023px) {
    background: linear-gradient(to bottom, #ffffff 0%, #ffffff 80%, #F3F1ED 80%, #F3F1ED 100%);
    margin-bottom: -20px;
  }

  .hero {
    display: flex;
    justify-content: center;
    flex-direction: column;
    max-height: 481px;
  }

  .hero__content .hero__heading {
    font-size: 46px;
    text-transform: uppercase;
    font-weight: var(--h1-font-weight);
    margin-top: 90px;
    margin-bottom: 0px;
    @media (max-width: 1024px) {
      margin-top:20px;
    }
  }

  .hero__divider {
    margin-top: 0;
    margin-bottom: 20px;
  }

  .hero__content button {
    background: none;
    color: inherit;
    border: none;
    padding: 0;
    font: inherit;
    cursor: pointer;
    outline: inherit;
  }

  /*slider*/
  .carousel-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: left;
    margin-left: 4%;
    max-height: 450px;
  }

  @media screen and (min-width: 1024px) {
    .hero {
      display: flex;
      flex-direction: row;
    }

    .carousel-item img {
      object-position: right;
      margin-left: unset;
    }

    .circle-slider picture {
      display: block;
      height: 100%;
    }

    .circle-slider img {
      width: 100%;
      height: 100%;
      object-fit: cover;
      object-position: right;
    }
  }

  /*responsive*/
  @media (max-width: 1024px) {
    .hero {
      max-height: unset;
    }

    .carousel-item img {
      display: block;
      margin-left: auto;
      margin-right: auto;
      width: 100%;
    }

    .circle-slider picture {
      display: block;
    }

    .circle-slider picture img {
      display: block;
      margin-left: auto;
      margin-right: auto;
      width: 100%;
    }

    .hero__content .hero__heading {
      margin-top: 0;
    }
  }

  /****************************************************
* Primary style
*****************************************************/
  :where(.hero:not(.secondary)) {
    .hero__content {
      display: flex;
      width: 45%;
      flex-direction: column;
      align-content: center;
      justify-content: center;
      padding-left: 4%;
      padding-right: 4%;
      z-index: 10;
      @media (max-width: 1024px) {
        text-align: center;
      }
    }

    .hero__slider {
      width: 55%;
    }

    .hero_crescent {
      position: absolute;
      top: -1px;
      z-index: 5;
      height: calc(100% + 2px) !important;
      width: 483px;
    }

    .circle-slider {
      display: block;
      position: relative;
      z-index: 0;
      height: 100%;
    }

    .hero_crescent_lottie_desktop {
      left: 32%;
    }

    .hero-crescent-lottie-mobile {
      display: none;
    }

    @media (min-width: 1024px) and (max-width: 1158px) {
      .hero_crescent_lottie_desktop {
        left: 35%;
      }
    }

    .hero__slider-bottom-mark {
      display: none;
    }

    /*Responsive*/
    @media (max-width: 1023px) {
      .hero-crescent-lottie-mobile {
        display: block;
        position: absolute;
        bottom: -2px;
        z-index: 2;
        width: 130%;
      }

      .hero__slider {
        position: relative;
      }

      .hero__slider-bottom-mark {
        display: none;
        z-index: 2;
        position: absolute;
        bottom: 0;
      }

      .hero__slider,
      .hero__content {
        width: 100%;
      }

      .hero__slider {
        overflow: hidden;
        padding-top: 1rem;
      }

      .hero_crescent {
        display: none;
      }

      .hero-section .hero {
        display: flex;
        justify-content: center;
        flex-direction: column;
      }
    }
  }

  @media (max-width: 1200px) {
    .hero-section .hero__content {
      --bs-gutter-x: 2.5rem;
      padding-right: calc(var(--bs-gutter-x) * 0.5);
      padding-left: calc(var(--bs-gutter-x) * 0.5);
      padding-top: 30px;
      text-align: center;
    }

    .image--jaylen {
      position: absolute;
      left: -50px;
      top: 40px;
    }

    .image--austin {
      position: absolute;
      right: -80px;
      top: 380px;
    }

    .image--austin,
    .image--jaylen {
      margin: 0 auto;
    }

    .image--austin {
      transform: translate(90px, 60px) !important;
    }

    .image--jaylen {
      transform: translate(-90px, -60px) !important;
    }
  }

  .image--jaylen {
    max-width: 305px;
  }

  .image--austin {
    max-width: 370px;
  }

  .swiper-slide .hero__button {
    max-width: 60%;
    width: fit-content;
    @media (max-width: 1024px) {
      margin: 0 auto;
    }
  }

  .hero__content .hero-footnote {
    margin-top: 8%;
  }

  @media (max-width: 1024px) {
    .hero__content .hero-footnote {
      margin-top: 5%;
      p {
        font-size: 13px;
        line-height: 13px;
      }
    }
  }
  .hero__subhead p {
    font-family: var(--font-family-primary);
    font-size: var(--h3-font-size);
    font-weight: 700;
    margin-top: 0px;
    padding: 0 !important;
    line-height: 1.4;
  }

  .slider .swiper-pagination{
    .swiper-pagination-bullet{
      background-color: #ffffff;
      border: 1px solid #000080;
      opacity: 1;

      &.swiper-pagination-bullet-active{
        background-color: #40e0d0;
      }
    }
  }
}

.hero__subhead {
  margin-top: 23px;
}

.carousel-inner .carousel-item:after {
  background-image: url("/sites/default/themes/custom/elevidys_barrio/components/hero-carousel/img/background-light.svg");
  content: "";
  display: block;
  background-size: cover;
  background-repeat: no-repeat;
  background-size: contain;
  width: 2480px;
  height: 80px;
  position: absolute;
  z-index: 2;
  left: calc(-1240px + 50%);
  bottom: -64px;
  background-position: top center;
}
